using System;
using System.Drawing;  
using System.IO;
using System.Windows.Forms;
using fomm.Scripting;

class Script : FalloutNewVegasBaseScript {
    public static bool install;  
    
    public static String title = "Deadly Dragons v 1.8";
    
    // IHUD MENU SETTINGS
    public static Form installIHUDForm; 
    public static PictureBox backgroundIHUDPicture; 
    public static Button okButton;  
    public static Button cancelButton;  
    public static Label titleLabel; 
    
    public static Panel optionsPanel;
    public static Label optionsTitleLabel; 
    
    public static RadioButton defaultRadioButton;
    public static Label defaultLabel; 
  
    public static RadioButton DDHRadioButton;  
    public static Label DDHLabel; 
   
    public static RadioButton DDPRadioButton;  
    public static Label DDPLabel;  

    public static RadioButton DDHPRadioButton;  
    public static Label DDHPLabel;      
    
    public static Image GetImageFromFomod(string filename) {  
        byte[] data = GetFileFromFomod(filename);  
        MemoryStream s = new MemoryStream(data);  
        Image img = Image.FromStream(s);  
        s.Close();  
        
        return img;  
    }  

    public static void CreateIHUDForm() {  
		setUpIHUDForm();

		setUpIHUDBackgroundImage();
        
		setUpMenu();	
        
 		setUpButtons();

        AttachHandlers();  
    }

    
    public static void setUpIHUDForm() {
        installIHUDForm = CreateCustomForm(); 
        
        installIHUDForm.FormBorderStyle = FormBorderStyle.Fixed3D;  
        installIHUDForm.StartPosition = FormStartPosition.CenterScreen;  
        installIHUDForm.Size = new Size(500, 700);  
        
        installIHUDForm.Text = title;
    }
    
    public static void setUpIHUDBackgroundImage() {
        backgroundIHUDPicture = new PictureBox();  
        backgroundIHUDPicture.Location = new Point(7, 5);  
        backgroundIHUDPicture.Size = new Size(650, 400);  

        // load picture file from .fomod and stream into picture box  
        backgroundIHUDPicture.Image = GetImageFromFomod("fomod/DD.jpg");  

        // add BackgroundPicture to list of controls  
        installIHUDForm.Controls.Add(backgroundIHUDPicture);
    }
    
        
    public static void setUpMenu() {        
    	optionsPanel = new Panel();
        optionsPanel.Location = new Point(30, 400);  
        optionsPanel.Size = new Size(440, 200);  
        optionsPanel.BackColor = Color.WhiteSmoke; 
        optionsPanel.BorderStyle = BorderStyle.FixedSingle;  
        installIHUDForm.Controls.Add(optionsPanel);
        
        // radiobutton menu  
        defaultRadioButton = new RadioButton();  
        defaultRadioButton.Checked = true;  
        defaultRadioButton.Location = new Point(5, 36);  
        defaultRadioButton.Size = new Size(20, 20);  
        defaultLabel = new Label();  
        defaultLabel.Text = "Deadly Dragons";  
        defaultLabel.Location = new Point(27, 39);  
        defaultLabel.AutoSize = true; 
        optionsPanel.Controls.Add(defaultRadioButton);  
        optionsPanel.Controls.Add(defaultLabel);  

        DDHRadioButton = new RadioButton();  
        DDHRadioButton.Checked = false;  
        DDHRadioButton.Location = new Point(5, 56);  
        DDHRadioButton.Size = new Size(20, 20);  
        DDHLabel = new Label();  
        DDHLabel.Text = "Deadly Dragons Hard";  
        DDHLabel.Location = new Point(27, 59);  
        DDHLabel.AutoSize = true;  
        optionsPanel.Controls.Add(DDHRadioButton);  
        optionsPanel.Controls.Add(DDHLabel); 

        DDPRadioButton = new RadioButton();  
        DDPRadioButton.Checked = false;  
        DDPRadioButton.Location = new Point(5, 76);  
        DDPRadioButton.Size = new Size(20, 20);  
        DDPLabel = new Label();  
        DDPLabel.Text = "Deadly Dragons + PISE unleveled dragons";  
        DDPLabel.Location = new Point(27, 79);  
        DDPLabel.AutoSize = true;  
        optionsPanel.Controls.Add(DDPRadioButton);  
        optionsPanel.Controls.Add(DDPLabel); 

        DDHPRadioButton = new RadioButton();  
        DDHPRadioButton.Checked = false;  
        DDHPRadioButton.Location = new Point(5, 96);  
        DDHPRadioButton.Size = new Size(20, 20);  
        DDHPLabel = new Label();  
        DDHPLabel.Text = "Deadly Dragons Hard + PISE unleveled dragons";  
        DDHPLabel.Location = new Point(27, 99);  
        DDHPLabel.AutoSize = true;  
        optionsPanel.Controls.Add(DDHPRadioButton);  
        optionsPanel.Controls.Add(DDHPLabel);        

    }
    
    public static void setUpButtons() {
        okButton = new Button();  
        okButton.Text = "Install";  
        okButton.BackColor = Color.Green;  
        okButton.Location = new Point(340, 620);  
        okButton.Size = new Size(130, 33);  

        // cancel button  
        cancelButton = new Button();  
        cancelButton.Text = "Cancel";  
        cancelButton.BackColor = Color.Red;  
        cancelButton.Location = new Point(30, 620);  
        cancelButton.Size = new Size(130, 33);  

        installIHUDForm.Controls.Add(okButton);  
        installIHUDForm.Controls.Add(cancelButton);     
    }
           
 
    public static void AttachHandlers() {  

        //Attach a handler that will fire when the apply button is clicked  
        okButton.Click += delegate(object sender, EventArgs args) {  
            install = true;  
            installIHUDForm.Close(); 
        };  

        cancelButton.Click += delegate(object sender, EventArgs args) {  
            install = false;  
            installIHUDForm.Close();  
        };  
    } 


	public static bool OnActivate() {
		CreateIHUDForm();
		installIHUDForm.ShowDialog(); 
				
		if (install) {
			if (defaultRadioButton.Checked) {
                                InstallFileFromFomod("DeadlyDragons.esp");	
                                SetPluginActivation("DeadlyDragons.esp", true);
			} else if (DDHRadioButton.Checked) {
                                InstallFileFromFomod("DeadlyDragonsHard.esp");
                                SetPluginActivation("DeadlyDragonsHard.esp", true);
			}  else if (DDPRadioButton.Checked) {
                                InstallFileFromFomod("DeadlyDragonsPISE.esp");	
                                SetPluginActivation("DeadlyDragonsPISE.esp", true);
			}  else if (DDHPRadioButton.Checked) {
                                InstallFileFromFomod("DeadlyDragonsHardPISE.esp");
                                SetPluginActivation("DeadlyDragonsHardPISE.esp", true);
			} 
		}
		
		return install;
	}


}
